## game-data-packager 49.1

=== Makefile ===
-include configure.mk

pkgdatadir := ${gamedatadir}/game-data-packager
runtimedir := ${gamedatadir}/game-data-packager-runtime
PYFLAKES3 := $(shell if [ -x /usr/bin/pyflakes3 ] ;  then echo pyflakes3 ; \
                   elif [ -x /usr/bin/pyflakes3k ] ; then echo pyflakes3k ; \
                   elif [ -x /usr/bin/python3-pyflakes ] ; then echo python3-pyflakes ; \
                   else ls -1 /usr/bin/pyflakes-python3.* | tail -n 1 ; \
                    fi)

png_from_xpm := $(patsubst ./data/%.xpm,./out/%.png,$(wildcard ./data/*.xpm))
png_from_svg := $(patsubst ./data/%.svg,./out/%.png,$(filter-out ./data/quake1+2.svg,$(wildcard ./data/*.svg)))
png       := $(png_from_xpm) $(png_from_svg) out/memento-mori.png
simplified_svg := $(patsubst ./data/%.svg,./out/%.svg,$(filter-out ./data/quake1+2.svg,$(wildcard ./data/*.svg)))
# We deliberately don't compress and install memento-mori{,-2}.svg because
# they use features that aren't supported by librsvg, so they'd look wrong
# in all GTK-based environments.
svgz      := $(patsubst ./out/%.svg,./out/%.svgz,$(filter-out ./out/memento-mori-2.svg,$(simplified_svg)))
in_yaml   := $(wildcard ./data/*.yaml)
json_from_data := $(patsubst ./data/%.yaml,./out/vfs/%.json,$(in_yaml))
copyright := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.copyright) ./data/copyright)
dot_in    := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.in))
desktop   := $(patsubst ./runtime/%.in,./out/%,$(wildcard ./runtime/*.desktop.in))

launcher_json := $(patsubst ./runtime/launch-%.yaml.in,./out/launch-%.json,$(wildcard ./runtime/launch-*.yaml.in))
launcher_desktops := \
	out/unreal.desktop \
	out/unreal-gold.desktop \
	$(NULL)

quake_layer_sizes = 16 22 32 48 256

quake_icons = \
	out/24/quake.png \
	out/24/quake-armagon.png \
	out/24/quake-dissolution.png \
	out/24/quake2.png \
	out/24/quake2-reckoning.png \
	out/24/quake2-groundzero.png \
	out/24/quake4.png \
	out/quake.svg \
	out/quake-armagon.svg \
	out/quake-dissolution.svg \
	out/quake2.svg \
	out/quake2-reckoning.svg \
	out/quake2-groundzero.svg \
	out/256/quake3.png \
	out/256/quake3-team-arena.png \
	out/quake4.svg \
	out/48/quake3.png \
	out/48/quake3-team-arena.png \
	$(patsubst %,out/%/quake.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake-armagon.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake-dissolution.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake2.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake2-reckoning.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake2-groundzero.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake4.png,$(quake_layer_sizes)) \
	$(NULL)

all: $(png) $(svgz) $(json_from_data) $(launcher_json) \
      $(copyright) $(dot_in) $(desktop) $(quake_icons) \
      out/bash_completion out/changelog.gz \
      out/game-data-packager out/vfs.zip out/memento-mori-2.svg

configure.mk: configure game_data_packager/version.py
	./config.status

out/CACHEDIR.TAG:
	@mkdir -p out
	( echo "Signature: 8a477f597d28d17""2789f06886806bc55"; \
	echo "# This file marks this directory to not be backed up."; \
	echo "# For information about cache directory tags, see:"; \
	echo "#	http://www.brynosaurus.com/cachedir/" ) > $@

$(copyright) $(dot_in): out/%: data/% out/CACHEDIR.TAG
	if [ -L $< ]; then cp -a $< $@ ; else install -m644 $< $@ ; fi

$(json_from_data): out/vfs/%.json: data/%.yaml tools/compile_yaml.py out/CACHEDIR.TAG
	@mkdir -p out/vfs
	$(PYTHON) tools/compile_yaml.py $< $@

out/vfs.zip: $(json_from_data)
	rm -f out/vfs.zip
	chmod 0644 out/vfs/*
	if [ -n "$(BUILD_DATE)" ]; then \
		touch --date='$(BUILD_DATE)' out/vfs/*; \
	fi
	cd out/vfs && ls -1 | LC_ALL=C sort | \
		env TZ=UTC zip ../vfs.zip -9 -X -q -@

out/bash_completion: $(in_yaml) out/CACHEDIR.TAG
	$(PYTHON) tools/bash_completion.py > ./out/bash_completion
	chmod 0644 ./out/bash_completion

out/changelog.gz: debian/changelog out/CACHEDIR.TAG
	gzip -nc9 debian/changelog > ./out/changelog.gz
	chmod 0644 ./out/changelog.gz

out/game-data-packager: run out/CACHEDIR.TAG
	install run out/game-data-packager

$(simplified_svg): out/%.svg: data/%.svg out/CACHEDIR.TAG
	inkscape --export-plain-svg=$@ $<

out/memento-mori.svg: data/memento-mori-2.svg out/CACHEDIR.TAG
	inkscape --export-plain-svg=$@ --export-id=layer1 --export-id-only $<

out/memento-mori.png: out/memento-mori.svg
	inkscape --export-png=$@ -w96 -h96 $<

$(png_from_xpm): out/%.png: data/%.xpm out/CACHEDIR.TAG
	convert $< $@

$(png_from_svg): out/%.png: data/%.svg out/CACHEDIR.TAG
	inkscape --export-png=$@ -w96 -h96 $<

$(svgz): out/%.svgz: out/%.svg
	gzip -nc $< > $@

out/quake.svg: data/quake1+2.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > out/tmp/quake.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake.svg
	rm -f out/tmp/quake.svg

out/quake-%.svg: out/tmp/recolour-%.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > out/tmp/quake-$*.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake-$*.svg
	rm -f out/tmp/quake-$*.svg

out/quake2.svg: data/quake1+2.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > out/tmp/quake2.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake2.svg
	rm -f out/tmp/quake2.svg

out/quake4.svg: data/quake1+2.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake4-256']" < $< > out/tmp/quake4.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake4.svg
	rm -f out/tmp/quake4.svg

out/quake2-%.svg: out/tmp/recolour-%.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > out/tmp/quake2-$*.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake2-$*.svg
	rm -f out/tmp/quake2-$*.svg

out/256/quake3.png: data/quake3-tango.xcf out/CACHEDIR.TAG
	install -d out/256
	xcf2png -o $@ $<

out/256/quake3-team-arena.png: data/quake3-teamarena-tango.xcf out/CACHEDIR.TAG
	install -d out/256
	xcf2png -o $@ $<

out/48/quake3.png: out/256/quake3.png out/CACHEDIR.TAG
	install -d out/48
	convert -resize 48x48 $< $@

out/48/quake3-team-arena.png: out/256/quake3-team-arena.png out/CACHEDIR.TAG
	install -d out/48
	convert -resize 48x48 $< $@

out/tmp/recolour-dissolution.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#c17d11/#999984/' \
		-e 's/#d5b582/#dede95/' \
		-e 's/#5f3b01/#403f31/' \
		-e 's/#e9b96e/#dede95/' \
		< $< > $@

out/tmp/recolour-armagon.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#c17d11/#565248/' \
		-e 's/#d5b582/#aba390/' \
		-e 's/#5f3b01/#000000/' \
		-e 's/#e9b96e/#aba390/' \
		< $< > $@

out/tmp/recolour-reckoning.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#3a5a1e/#999984/' \
		-e 's/#73ae3a/#eeeeec/' \
		-e 's/#8ae234/#eeeeec/' \
		-e 's/#132601/#233436/' \
		< $< > $@

out/tmp/recolour-groundzero.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#3a5a1e/#ce5c00/' \
		-e 's/#73ae3a/#fce94f/' \
		-e 's/#8ae234/#fce94f/' \
		-e 's/#132601/#cc0000/' \
		< $< > $@

out/24/quake.png: out/22/quake.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake-%.png: out/22/quake-%.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake2.png: out/22/quake2.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake4.png: out/22/quake4.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake2-%.png: out/22/quake2-%.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

$(patsubst %,out/%/quake.png,$(quake_layer_sizes)): out/%/quake.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake-armagon.png,$(quake_layer_sizes)): out/%/quake-armagon.png: out/tmp/recolour-armagon.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake-dissolution.png,$(quake_layer_sizes)): out/%/quake-dissolution.png: out/tmp/recolour-dissolution.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake2.png,$(quake_layer_sizes)): out/%/quake2.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake4.png,16 22 32): out/%/quake4.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:32:32 \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake4-32 \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake4.png,48 256): out/%/quake4.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake4-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake2-reckoning.png,$(quake_layer_sizes)): out/%/quake2-reckoning.png: out/tmp/recolour-reckoning.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake2-groundzero.png,$(quake_layer_sizes)): out/%/quake2-groundzero.png: out/tmp/recolour-groundzero.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(launcher_json): out/launch-%.json: out/launch-%.yaml
	$(PYTHON) tools/yaml2json.py $< $@

$(desktop) $(patsubst %.json,%.yaml,$(launcher_json)): out/%: runtime/%.in out/CACHEDIR.TAG
	PYTHONPATH=. $(PYTHON) tools/expand_vars.py $< $@

clean:
	rm -fr out
	rm -rf game_data_packager/__pycache__
	rm -rf game_data_packager/games/__pycache__
	rm -rf tools/__pycache__

distclean: clean
	rm -f configure.mk config.status

check:
	LC_ALL=C $(PYFLAKES3) game_data_packager/*.py game_data_packager/*/*.py runtime/*.py tests/*.py tools/*.py || :
	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/deb.py
	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/hashed_file.py
	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/integration.py
	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/rpm.py
	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/umod.py
	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tools/check_syntax.py
	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tools/check_equivalence.py

install:
	mkdir -p $(DESTDIR)$(bindir)
	install -m0755 out/game-data-packager                  $(DESTDIR)$(bindir)/${program_prefix}game-data-packager

	mkdir -p $(DESTDIR)$(pkgdatadir)
	cp -ar game_data_packager/                             $(DESTDIR)$(pkgdatadir)/
	install -m0644 out/version.py                          $(DESTDIR)$(pkgdatadir)/game_data_packager/
	install -m0644 out/*.copyright                         $(DESTDIR)$(pkgdatadir)/

=== debian/changelog ===
game-data-packager (49.1) unstable; urgency=medium

  * Support for new languages and versions:
    - Support for GOG packages of Jedi games (Closes: #784913) [adetiste]
    - Support for new GOG packages of Leisure Suit Larry series [adetiste]
    - Support for new GOG package of Icewind Dale 2 [Edward Allcutt]
    - Cope with hexen2demo_nov1997-linux-i586.tgz having been modified on
      the server. The changes do not affect the parts we repackage.
      [adetiste]
    - Add GOG metadata for several more games [adetiste]
  * Bug fixes:
    - Fix a crash when packaging music by ripping CD tracks from Quake
      and Quake II, fixing a regression somewhere around v42
      (Closes: #860998) [adetiste]
    - xcom-ufo: Fix swapped file definitions for original and patched
      resource files (Closes: #856253) [R1dO]
    - If a downloadable file does not have the expected content, do not
      try to download it from the same URL again [adetiste]
    - Make .crc files in Doom 3 BFG optional. Not all versions have them
      (Closes: #862432) [smcv]
    - Remove metadata pointing to the DotEmu online store, which has
      now closed [adetiste]
    - Fix a potential crash during data loading by initializing
      WantedFile.provides_files correctly [smcv]
  * Internal changes:
    - debian/copyright.in: Update [smcv]
    - debian/.gitignore: Update for game-data-packager-runtime [smcv]

 -- Simon McVittie <smcv@debian.org>  Sat, 20 May 2017 13:56:22 +0100

=== debian/control ===
Source: game-data-packager
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <alexandre.detiste@gmail.com>,
 David Banks <amoebae@gmail.com>,
 Jack Coulter <jscinoz@gmail.com>,
 Jonathan Dowland <jmtd@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 bash-completion,
 debhelper (>= 10~),
 dh-apparmor,
 dh-python,
 imagemagick,
 inkscape,
 pyflakes3 | pyflakes (<< 1.1.0),
 python3,
 python3-debian,
 python3-yaml,
 xcftools,
 xmlstarlet,
 zip,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-games/game-data-packager.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/game-data-packager.git
Homepage: https://wiki.debian.org/Games/GameDataPackager

Package: game-data-packager
Depends: fakeroot, ${misc:Depends},
	python3-debian,
	python3-yaml,
	${python3:Depends},
Recommends:
 game-data-packager-runtime,
Suggests:
# to install packages
	gdebi | gdebi-kde,
# for quake music and quake2 music
	cdparanoia, vorbis-tools,
# Doom 2 Master Levels, Quake, Spear Of Destiny demo
	lhasa | jlha-utils | lzh-archiver,
# for quake2 mission packs
	binutils, make, gcc,
# for lgeneral
	lgc-pg,
# for wolf3d demo
	dynamite (>= 0.1.1-2),
# for wolf3d v1.2
	unzip,
# for 100+ gog.com games
	innoextract, lgogdownloader,
# for Quake 1/2/3, Doom, Wolf3d...
	steam, steamcmd,
# for Doom3
	p7zip-full,
# for Jedi Academy (demo), Arx Fatalis
	unshield,
# for Descent 1
	arj,
# for Arx Fatalis
	cabextract,
# for Arx Fatalis
	unace-nonfree,
# for Arx Fatalis
	unrar,
# for I have no mouth and I must scream
        unar,
# for Unreal Tournament and potentially other Loki Games releases
	xdelta,
# for Unreal
	gir1.2-gdkpixbuf-2.0,
Breaks: lgogdownloader (<< 2.26-1~)
Architecture: all
Multi-Arch: foreign
Description: Installer for game data files
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that the engine can be distributed
 in Debian but the data cannot.
 .
 game-data-packager is a tool which builds .deb files for game
 data which cannot be distributed in Debian (such as
 commercial game data).
 .
 At the moment, game-data-packager has support for building .deb
 files for:
 .
  * 3 Skulls of the Toltecs
  * A Mind Forever Voyaging
  * Amazon: Guardians of Eden
  * Arthur: the Quest for Excalibur
  * Arx Fatalis
  * Baldur's Gate 1 and 2
  * Ballyhoo
  * Bargon Attack
  * Beavis and Butthead in Virtual Stupidity
  * The Bizarre Adventures of Woodruff and the Schnibble
  * The Black Cauldron
  * Blake Stone and Planet Strike
  * Blue Force
  * Border Zone
  * Castle of Dr. Brain and The Island of Dr. Brain
  * Broken Sword
  * Bureaucracy
  * Chex Quest and Chex Quest 2
  * Chivalry is Not Dead
  * Codename: ICEMAN
  * Conquests of Camelot: The Search for the Grail
  * Conquests of the Longbow: The Legend of Robin Hood
  * Cruise for a Corpse
  * Cutthroats
  * Deadline
  * Descent 1 and 2
  * The Dig
  * Discworld 1 and 2
  * Doom, The Ultimate Doom, Doom 2, The Master Levels for Doom 2, Final Doom
  * Doom 3 and BFG Edition
  * Dračí Historie
  * Dreamweb
  * Duke Nukem 3D
  * Dune 2: Battle for Arrakis
  * EcoQuest 1 and 2
  * The Elder Scrolls 3: Morrowind
  * Elvira 1 and 2
  * Enchanter
  * Enclosure
  * Eye of the Beholder 1 and 2
  * The Feeble Files
  * Freddy Pharkas: Frontier Pharmacist
  * Freespace 2
  * Full Throttle
  * Future War (Les Voyageurs du Temps)
  * Gobliiins 1, 2 and 3
  * Gold Rush!
  * Grim Fandango
  * HacX
  * Hank's Quest
  * Heretic, Hexen and Hexen 2
  * Heroes of Might & Magic 3
  * The Hitchhiker's Guide to the Galaxy
  * Hollywood Hijinx
  * Hopkins FBI
  * Hoyle's Official Book of Games
  * Hugo's House of Horrors, Hugo 2, Hugo 3
  * Icewind Dale 1 and 2
  * Indiana Jones and the Fate of Atlantis
  * Infidel
  * Inherit the Earth
  * James Clavell's Shōgun
  * Jones in the Fast Lane
  * Journey: Part One of the Golden Age Trilogy
  * King's Quest 1 to 6
  * The Labyrinth of Time
  * Lands of Lore: The Throne of Chaos
  * Laura Bow 1 and 2
  * Leather Goddesses of Phobos 1 and 2
  * Legend of Kyrandiar 1, 2 and 3
  * Leisure Suit Larry 1, 2, 3, 5 and 6
  * LGeneral (Panzer General)
  * Lost in Time
  * The Lurking Horror
  * The Manhole
  * Manhunter 1 and 2
  * Maniac Mansion and Day of the Tentacle
  * Mixed-Up Mother Goose & Mixed-Up Fairy Tales
  * Monkey Island 1, 2 and 3
  * Moonmist
  * Mortville Manor
  * The Neverhood
  * Nippon Safes Inc.
  * Nord and Bert Couldn't Make Head or Tail of It
  * Once Upon A Time: Little Red Riding Hood
  * Pajama Sam series
  * Personal Nightmare
  * Planescape: Torment
  * Planetfall
  * Plundered Hearts
  * Police Quest 1, 2 and 3
  * Quake, Quake 2, Quake 3 Arena, Quake 4, Enemy Territory: Quake Wars
  * Quest For Glory 1, 2 and 3
  * Rex Nebular and the Cosmic Gender Bender
  * Ringworld 1 and 2
  * Rise of the Triad
  * Rodney's Funscreen
  * Sam & Max Hit the Road
  * Seastalker
  * Sfinx
  * The Lost Files of Sherlock Holmes: The Case of the Serrated Scalpel
  * The Lost Files of Sherlock Holmes: The Case of the Rose Tattoo
  * Sherlock: The Riddle of the Crown Jewels
  * Simon the Sorcerer 1, 2 and Puzzle Pack
  * Slater & Charlie Go Camping
  * Soltys
  * Sorcerer
  * Spellbreaker
  * Star Wars Jedi Knight 2: Jedi Outcast and Jedi Academy
  * Starcross
  * Stationfall
  * Strife
  * Suspect
  * Suspended
  * Syndicate
  * Space Quest 1 to 5
  * Super 3D Noah's Ark
  * Theme Hospital
  * Tony Tough and the Night of Roasted Moths
  * Toonstruck
  * Touché: The Adventures of the Fifth Musketeer
  * Transport Tycoon Deluxe
  * Trinity
  * Troll's Tale
  * Tyrian
  * Ultima VII
  * Unreal and Unreal Gold
  * Urban Runner
  * Ween: The Prophecy
  * Winnie the Pooh in the Hundred Acre Wood
  * Wishbringer
  * Witness
  * Wolfenstein 3D, Spear of Destiny and Return to Castle Wolfenstein
  * Wolfenstein: Enemy Territory
  * X-COM: UFO Defense
  * Zork 1, 2 and 3, Beyond Zork, Zork Zero, Return to Zork, Zork: The
    Undiscovered Underground
  * Zork Grand Inquisitor and Zork Nemesis

Package: etqw
Architecture: i386
Depends:
 etqw-bin | game-data-packager (>= 44),
 game-data-packager-runtime,
 ${misc:Depends},
Suggests:
 etqw-pb-bin,
Description: science-fiction-themed multiplayer first person shooter
 Enemy Territory: Quake Wars is a multiplayer first-person shooter game
 by Splash Damage and id Software, released in 2007.
 This package contains a launcher script and menu entry to play
 ETQW using the proprietary x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: etqw-server
Architecture: i386
Depends:
 adduser,
 etqw-bin | game-data-packager (>= 44),
 etqw-data | game-data-packager (>= 44),
 lsb-base (>= 3.0-6),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 systemd-sysv,
Suggests:
 etqw-pb-bin,
Description: dedicated server for Enemy Territory: Quake Wars
 This package contains a launcher script and systemd unit to run a
 Enemy Territory: Quake Wars server using the proprietary
 x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To mitigate any security flaws that might exist in this server,
 the systemd unit is not enabled by default, and must be enabled
 with systemctl if it should start at boot time. The systemd unit
 uses various security hardening options to prevent the server from
 escalating its privileges. There is no sysvinit script,
 since sysvinit does not provide similar security hardening.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: game-data-packager-runtime
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-gi,
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
Breaks:
 game-data-packager (<< 46~),
Replaces:
 game-data-packager (<< 46~),
Architecture: all
Multi-Arch: foreign
Description: Launcher for proprietary games
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that the engine can be distributed
 in Debian but the data cannot.
 .
 Some of the games supported by game-data-packager need to be
 started by a special launcher script that will create symbolic
 links or do other setup. This package contains those launcher
 scripts.
 .
 The following games currently require this package:
 .
  * Doom 2: The Master Levels
  * Unreal
  * Unreal Gold

Package: quake
Architecture: all
Depends:
 game-data-packager-runtime,
 quake-registered | quake-shareware | game-data-packager,
 quakespasm | quake-engine,
 ${misc:Depends},
Suggests:
 quake-armagon (>= 29),
 quake-armagon-music,
 quake-dissolution (>= 29),
 quake-dissolution-music,
 quake-dopa (>= 45),
 quake-music,
Description: classic gothic/horror-themed first person shooter
 Quake is a classic first-person shooter game by id Software,
 released in 1996. This package contains a launcher script and menu
 entry to play Quake with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.
 .
 Creating quake-registered requires data files from a Quake installation or
 CD-ROM.
 .
 Creating quake-shareware requires the shareware version of Quake.
 .
 game-data-packager (>= 45) can also produce packages for the official Episode
 5, Dimensions of the Past (developed by MachineGames to mark Quake's 20th
 anniversary), and for the official mission
 packs Scourge of Armagon (developed by Hipnotic Software) and Dissolution
 of Eternity (developed by Rogue Entertainment). Additional menu entries
 should appear automatically if those expansions are installed.

Package: quake-server
Architecture: all
Depends:
 adduser,
 lsb-base (>= 3.0-6),
 quake-registered | quake-shareware | game-data-packager,
 quakespasm | quake-engine-server,
 ${misc:Depends},
 ${python3:Depends},
Description: classic first person shooter - server and init script
 This package contains a launcher script and init script to run a
 Quake 1 server automatically, with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.

Package: quake2
Architecture: all
Depends:
 game-data-packager-runtime,
 quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
 yamagi-quake2 | quake2-engine,
 ${misc:Depends},
Suggests:
 quake2-groundzero,
 quake2-music,
 quake2-reckoning,
Recommends:
 game-data-packager (>= 39),
Description: classic science-fiction-themed first person shooter
 Quake II is a classic first-person shooter game by id Software,
 released in 1997. This package contains a launcher script and menu
 entry to play Quake II with any suitable engine.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 either quake2-full-data or quake2-demo-data. Creating quake2-full-data
 requires data files from a Quake II installation or CD-ROM.
 .
 game-data-packager (>= 39) can also produce packages for the official mission
 packs The Reckoning (developed by Xatrix Entertainment) and Ground Zero

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1
export DH_OPTIONS

include /usr/share/dpkg/pkg-info.mk

%:
	mkdir -p $(HOME)
	dh $@ --with python3,bash-completion

options := \
	BUILD_DATE="$$(dpkg-parsechangelog --show-field=Date)" \
	$(NULL)

# Redirect Inkscape log files, etc. to a temporary directory
export HOME = $(CURDIR)/debian/temp-home
export XDG_CACHE_HOME = $(CURDIR)/debian/temp-home/.cache
export XDG_CONFIG_HOME = $(CURDIR)/debian/temp-home/.config
export XDG_DATA_HOME = $(CURDIR)/debian/temp-home/.local/share

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		--bindir='$${exec_prefix}/games' \
		--libdir='$${exec_prefix}/lib' \
		--with-gamedatadir='$${datadir}/games' \
		$(NULL)

override_dh_auto_build:
	dh_auto_build \
		-- \
		$(options) \
		$(NULL)

override_dh_auto_install:
	dh_auto_install \
		-- \
		$(options) \
		$(NULL)

override_dh_auto_clean:
	dh_auto_clean
	@if [ "`echo *.deb`" != "*.deb" ]; then \
		echo; \
		echo "*************************************************"; \
		echo "Cannot create source package with these here:"; \
		ls *.deb; \
		echo "*************************************************"; \
		echo; \
		exit 1; \
	fi
	debian/copyright.py

override_dh_install:
	dh_install --fail-missing
	if dpkg-vendor --derives-from Ubuntu; then \
		install -d debian/game-data-packager/usr/share/games/game-data-packager; \
		touch debian/game-data-packager/usr/share/games/game-data-packager/is-ubuntu-derived; \
	fi
	dh_apparmor -pgame-data-packager-runtime --profile-name=usr.lib.unreal
	dh_apparmor -pquake4 --profile-name=usr.lib.quake4.quake4.x86
	dh_apparmor -pquake4-server --profile-name=usr.lib.quake4.q4ded.x86

override_dh_installdocs:
	dh_installdocs -XTODO

override_dh_installinit:
	dh_installinit -pquake4-server --noscripts
	dh_installinit -petqw-server --noscripts
	dh_installinit --remaining-packages

override_dh_systemd_enable:
	dh_systemd_enable -pquake4-server --no-enable
	dh_systemd_enable -petqw-server --no-enable
	dh_systemd_enable --remaining-packages

override_dh_python3:
	dh_python3
	dh_python3 -pquake-server /usr/share/games/quake
	dh_python3 -pquake2-server /usr/share/games/quake2
	dh_python3 -pquake3-server /usr/share/games/quake3
	dh_python3 -pquake4-server /usr/share/games/quake4
	dh_python3 -petqw-server /usr/lib/etqw

## game-data-packager 53

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,7 @@
 launcher_desktops := \
 	out/unreal.desktop \
 	out/unreal-gold.desktop \
+	out/ut99.desktop \
 	$(NULL)
 
 quake_layer_sizes = 16 22 32 48 256
@@ -83,8 +84,8 @@
 out/vfs.zip: $(json_from_data)
 	rm -f out/vfs.zip
 	chmod 0644 out/vfs/*
-	if [ -n "$(BUILD_DATE)" ]; then \
-		touch --date='$(BUILD_DATE)' out/vfs/*; \
+	if [ -n "$(SOURCE_DATE_EPOCH)" ]; then \
+		touch --date='@$(SOURCE_DATE_EPOCH)' out/vfs/*; \
 	fi
 	cd out/vfs && ls -1 | LC_ALL=C sort | \
 		env TZ=UTC zip ../vfs.zip -9 -X -q -@
@@ -160,11 +161,20 @@
 
 out/256/quake3.png: data/quake3-tango.xcf out/CACHEDIR.TAG
 	install -d out/256
-	xcf2png -o $@ $<
+	# fallback, result is similar, yet different
+	if command -v xcf2png > /dev/null ; then \
+	  xcf2png -o $@ $< ;\
+	else \
+	  convert $< -background rgba\(0,0,0,0\) -layers merge $@ ;\
+	fi
 
 out/256/quake3-team-arena.png: data/quake3-teamarena-tango.xcf out/CACHEDIR.TAG
 	install -d out/256
-	xcf2png -o $@ $<
+	if command -v xcf2png > /dev/null ; then \
+          xcf2png -o $@ $< ;\
+	else \
+          convert $< -background rgba\(0,0,0,0\) -layers merge $@ ;\
+	fi
 
 out/48/quake3.png: out/256/quake3.png out/CACHEDIR.TAG
 	install -d out/48
@@ -324,26 +334,21 @@
 	rm -fr out
 	rm -rf game_data_packager/__pycache__
 	rm -rf game_data_packager/games/__pycache__
+	rm -rf game_data_packager/packaging/__pycache__
+	rm -rf game_data_packager/unpack/__pycache__
 	rm -rf tools/__pycache__
 
 distclean: clean
 	rm -f configure.mk config.status
 
 check:
-	LC_ALL=C $(PYFLAKES3) game_data_packager/*.py game_data_packager/*/*.py runtime/*.py tests/*.py tools/*.py || :
-	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/deb.py
-	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/hashed_file.py
-	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/integration.py
-	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/rpm.py
-	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/umod.py
-	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tools/check_syntax.py
-	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tools/check_equivalence.py
-
-install:
-	mkdir -p $(DESTDIR)$(bindir)
-	install -m0755 out/game-data-packager                  $(DESTDIR)$(bindir)/${program_prefix}game-data-packager
-
-	mkdir -p $(DESTDIR)$(pkgdatadir)
-	cp -ar game_data_packager/                             $(DESTDIR)$(pkgdatadir)/
-	install -m0644 out/version.py                          $(DESTDIR)$(pkgdatadir)/game_data_packager/
-	install -m0644 out/*.copyright                         $(DESTDIR)$(pkgdatadir)/
+	LC_ALL=C.UTF-8 $(PYFLAKES3) game_data_packager/*.py game_data_packager/*/*.py runtime/*.py tests/*.py tools/*.py || :
+	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/deb.py
+	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/hashed_file.py
+	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/integration.py
+	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/rpm.py
+	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/umod.py
+	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tools/check_syntax.py
+	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tools/check_equivalence.py
+
+manual-check:

=== debian/changelog ===
game-data-packager (53) unstable; urgency=medium

  * Support for new languages and versions:
    - Update Quake II: The Reckoning (xatrix) to version 2.05 [adetiste]
    - Update Quake II: Ground Zero (rogue) to version 2.04 [smcv]
  * Enhancements and bug fixes:
    - Improve instructions given when data files are missing [smcv]
    - Work around command line parsing of LHa decompressor as seen
      in Wheezy & RPMfusion; users of lhasa were not affected [adetiste]
    - quake4 AppArmor: Allow more device enumeration [smcv]
    - quake series: Improve documentation for how to construct data
      packages, and fix broken symlinks (Closes: #866875) [smcv]
    - etqw, quake4, unreal, ut99: Use missing-data.txt to provide
      missing-engine.txt where the engine is part of the proprietary
      data part (Closes: #842804) [smcv]
  * Internal changes:
    - Declare compliance with Debian Policy 4.0.0 [smcv]
    - debian/copyright (for g-d-p and generated packages):
      Use https URL for Format [smcv]
    - debian/copyright: Sync Source with Vcs-Git [smcv]
    - debian/copyright: Declare overall license to be GPL-2, not
      GPL-2+ [smcv]
    - Build-depend on dbus and wrap dh_auto_build in dbus-run-session,
      so that Inkscape stops warning about inability to access the
      session bus [smcv]
    - Makefile: Use SOURCE_DATE_EPOCH [smcv]
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Jul 2017 06:35:22 +0100

game-data-packager (52) experimental; urgency=medium

  * Fix a potential crash during data loading by initializing
    WantedFile.provides_files correctly [smcv]
  * Adjust game-data-packager-runtime Description to mention that
    it's used for the Quake series [adetiste]

 -- Simon McVittie <smcv@debian.org>  Fri, 19 May 2017 09:06:38 +0100

game-data-packager (51) experimental; urgency=medium

  * New game support:
    - Commander Keen: Goodbye Galaxy, including
      Secret of the Oracle (ck4), The Armageddon Machine (ck5) and
      Aliens Ate My Babysitter (ck6) (part of #786501) [skitt]
  * Enhancements and bug fixes:
    - If a downloadable file does not have the expected content, do not
      try to download it from the same URL again [adetiste]
    - Lower 'warning' message to 'info' about missing exotic unpacker
      if needed assets can found in other downloadable archives [adetiste]
    - Make .crc files in Doom 3 BFG optional. Not all versions have them
      (Closes: #862432) [smcv]
    - Add metadata indicating that Conquests of Camelot and Conquests of
      the Longbow can be obtained from GOG [adetiste]
    - Cope with hexen2demo_nov1997-linux-i586.tgz having been modified on
      the server. The changes do not affect the parts we repackage.
      [adetiste]
  * Internal changes:
    - Remove many unnecessary look_for directives that are implied
      by the special case that ?suffix is removed [adetiste]

 -- Simon McVittie <smcv@debian.org>  Sat, 13 May 2017 22:26:01 +0100

game-data-packager (50) experimental; urgency=medium

  * New game support:
    - King's Quest VII: The Princeless Bride [adetiste]
    - Mystery House: game release into the public domain [adetiste]
    - Police Quest IV [adetiste]
    - Space Quest 6 [adetiste]
    - Unreal Tournament (1999) [smcv]
  * Support for new languages and versions:
    - Document unsupported Doom v0.3 [nyav] (Closes: #857881)
    - Support for new GOG package of Icewind Dale 2 [Edward Allcutt]
    - Support for new GOG packages of Leisure Suit Larry games [adetiste]
    - Support for GOG packages of Jedi games (Closes: #784913) [adetiste]
    - Unreal: Add checksums for Unreal Gold v226b CD-ROM
      (Closes: #861316) [smcv]
  * Enhancements and bug fixes:
    - Fix exception thrown by CD ripping code (Closes: #860998) [adetiste]
    - Promote --search and --no-search from per-game options to
      global options so they show in global --help (Closes: #848374) [smcv]
    - Update man page [smcv, adetiste]
    - Refresh French translation of man page [adetiste]
    - xcom-ufo: Fix swapped file definitions, add GOG url
      (Closes: #856253) [R1dO]
    - Ensure that bsdtar/rpmbuild are present
      before attempting to build Arch/RPM packages [adetiste]
    - Bash completion: add --target-format & --target-distro [adetiste]
    - DotEmu online store is closing, remove all references [adetiste]
    - Remove GOG Windows cruft from various games [adetiste]
    - make-template: don't choke on v1 Zip files (Implode not implemented)
      [adetiste]
    - unzip: make --verbose work as expected [adetiste]
    - AppArmor: Allow more kinds of device enumeration [smcv]
    - build: Don't warn about being unable to derive one of several
      alternatives [smcv]
    - Tag games not available for sale anymore (Closes: #810059) [adetiste]
  * Internal changes:
    - Fix typo in TODO [nyav] (Closes: #857880)
    - Use locale 'C.UTF-8' instead of 'C' in Makefile,
      CPython will coerce it anyway (see PEP 538) [adetiste]
    - Use ImageMagick as a fallback when XCFTools are missing [adetiste]
    - Add a tool to detect outdated GoG packages [adetiste]
    - fix gdp-launcher for older pygobject [Ferdinand Thiessen]
    - Fix cross-build & argument checking (Closes: #857980) [adetiste]
    - TODO: sync with upcoming ScummVM 1.10.0 [adetiste]
    - Add missing 'franchise:' tags [adetiste]
    - .gitignore: Update for -runtime [smcv]
    - integration: Allow skipping test while offline [smcv]
    - unreal: Do lintian overrides from YAML, not from code [smcv]
    - build: For each package, summarize what gaps we failed to fill [smcv]
    - lazy loading of GOG & Steam modules to speed up startup [adetiste]

 -- Simon McVittie <smcv@debian.org>  Wed, 03 May 2017 07:10:24 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  bash-completion,
+ dbus,
  debhelper (>= 10~),
  dh-apparmor,
  dh-python,
@@ -22,7 +23,7 @@
  xcftools,
  xmlstarlet,
  zip,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/game-data-packager.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/game-data-packager.git
 Homepage: https://wiki.debian.org/Games/GameDataPackager
@@ -107,6 +108,7 @@
   * Chex Quest and Chex Quest 2
   * Chivalry is Not Dead
   * Codename: ICEMAN
+  * Commander Keen 4 to 6
   * Conquests of Camelot: The Search for the Grail
   * Conquests of the Longbow: The Legend of Robin Hood
   * Cruise for a Corpse
@@ -151,7 +153,7 @@
   * James Clavell's Shōgun
   * Jones in the Fast Lane
   * Journey: Part One of the Golden Age Trilogy
-  * King's Quest 1 to 6
+  * King's Quest 1 to 7
   * The Labyrinth of Time
   * Lands of Lore: The Throne of Chaos
   * Laura Bow 1 and 2
@@ -168,6 +170,8 @@
   * Monkey Island 1, 2 and 3
   * Moonmist
   * Mortville Manor
+  * Myst: Masterpiece Edition
+  * Mystery House
   * The Neverhood
   * Nippon Safes Inc.
   * Nord and Bert Couldn't Make Head or Tail of It
@@ -177,7 +181,7 @@
   * Planescape: Torment
   * Planetfall
   * Plundered Hearts
-  * Police Quest 1, 2 and 3
+  * Police Quest 1 to 4
   * Quake, Quake 2, Quake 3 Arena, Quake 4, Enemy Territory: Quake Wars
   * Quest For Glory 1, 2 and 3
   * Rex Nebular and the Cosmic Gender Bender
@@ -194,6 +198,7 @@
   * Slater & Charlie Go Camping
   * Soltys
   * Sorcerer
+  * Space Quest 1 to 6
   * Spellbreaker
   * Star Wars Jedi Knight 2: Jedi Outcast and Jedi Academy
   * Starcross
@@ -202,7 +207,6 @@
   * Suspect
   * Suspended
   * Syndicate
-  * Space Quest 1 to 5
   * Super 3D Noah's Ark
   * Theme Hospital
   * Tony Tough and the Night of Roasted Moths
@@ -213,7 +217,7 @@
   * Troll's Tale
   * Tyrian
   * Ultima VII
-  * Unreal and Unreal Gold
+  * Unreal, Unreal Gold and Unreal Tournament (1999)
   * Urban Runner
   * Ween: The Prophecy
   * Winnie the Pooh in the Hundred Acre Wood
@@ -310,6 +314,7 @@
  The following games currently require this package:
  .
   * Doom 2: The Master Levels
+  * Quake series
   * Unreal
   * Unreal Gold
 
@@ -388,5 +393,3 @@
  either quake2-full-data or quake2-demo-data. Creating quake2-full-data
  requires data files from a Quake II installation or CD-ROM.
  .
- game-data-packager (>= 39) can also produce packages for the official mission
- packs The Reckoning (developed by Xatrix Entertainment) and Ground Zero

=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,13 @@
 	mkdir -p $(HOME)
 	dh $@ --with python3,bash-completion
 
-options := \
-	BUILD_DATE="$$(dpkg-parsechangelog --show-field=Date)" \
-	$(NULL)
-
 # Redirect Inkscape log files, etc. to a temporary directory
 export HOME = $(CURDIR)/debian/temp-home
 export XDG_CACHE_HOME = $(CURDIR)/debian/temp-home/.cache
 export XDG_CONFIG_HOME = $(CURDIR)/debian/temp-home/.config
 export XDG_DATA_HOME = $(CURDIR)/debian/temp-home/.local/share
+# Disable integration test
+export GDP_MIRROR = none
 
 override_dh_auto_configure:
 	dh_auto_configure \
@@ -29,15 +27,13 @@
 		$(NULL)
 
 override_dh_auto_build:
-	dh_auto_build \
+	dbus-run-session -- dh_auto_build \
 		-- \
-		$(options) \
 		$(NULL)
 
 override_dh_auto_install:
 	dh_auto_install \
 		-- \
-		$(options) \
 		$(NULL)
 
 override_dh_auto_clean:
